version: 1
name: Tux Plan
description: Generated plan from tuxsuite cli
jobs:
- name: Tux Plan
  build:
    build_name: clang-20-lkftconfig
    kconfig:
    - defconfig
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft.config
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft-crypto.config
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/distro-overrides.config
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/netdev.config
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/systemd.config
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/virtio.config
    - CONFIG_SYN_COOKIES=y
    - CONFIG_SCHEDSTATS=y
    #- https://storage.tuxsuite.com/public/linaro/lkft/builds/2vttnHZT7BkS50MhdTcIok89JLC/config
    #git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git
    target_arch: arm64
    toolchain: clang-20
    #git_sha: fc253f3d7070db50a3eaa92f79aacf194f82a6fe
    environment: {}
    targets: []
    image_sha: 219838ae86712387ba51bc68aee3ec08f63a98c4a048d1edac4fd329d3c18267
    make_variables:
      LLVM: '1'
      LLVM_IAS: '1'
    kernel_image: ''
    image_sha: ''
    no_cache: false
    is_public: true
  tests:
  - device: dragonboard-410c
    lava_test_plans_project: lkft
    lab: https://lkft.validation.linaro.org
    bios: null
    boot_args: null
    parameters:
      DEPLOY_OS: debian
      LAVA_JOB_PRIORITY: 90
      MODULES_PATH: /usr/
      LAVA_QUEUE_TIMEOUT: 48
      SKIPFILE: skipfile-lkft.yaml
      RUNNER: kirk
    dtb: qcom/apq8016-sbc.dtb
    kernel: null
    boot: null
    modules: null
    rootfs: https://storage.tuxboot.com/debian/trixie/arm64/rootfs.ext4.xz
    #tests:
    #- ltp-smoke
    commands: []
    qemu_image: null
    timeouts:
      boot: 10
    is_public: true
    tuxbuild: https://storage.tuxsuite.com/public/linaro/lkft/builds/2vttnHZT7BkS50MhdTcIok89JLC/
    overlay:
    - - https://storage.tuxboot.com/overlays/debian/trixie/arm64/ltp/ltp-20250130/ltp.tar.xz
      - /

